| Demo HCI Implementation for WiMOD-LR Devices V2.0.3

Public Member Functions | List of all members
WiMOD_SAP_RemoteCtrl Class Reference

Implementation for the ServiceAccessPoint RadioLink (LR-Base firmware only) More...

`#include <SAP/WiMOD_SAP_RemoteCtrl.h>`

## Public Member Functions
| WiMOD_SAP_RemoteCtrl (TWiMODLRHCI *hci, UINT8 *buffer, UINT16 bufferSize)
| Constructor. More...
virtual bool | convert (TWiMODLR_HCIMessage &RxMsg, TWiMODLR_RemoteCtrl_BtnPressed *btnInfo)
| Convert a received low level HCI-Msg to a high-level Rx Data structure. More...
virtual void | RegisterBtnPressedClient (TRemoteCtrlBtnPressedIndicationCallback cb)
| Register a callback function for the event "Button Pressed Indication". More...
virtual void | DispatcRemoteCtlMessage (TWiMODLR_HCIMessage &rxMsg)

## Detailed Description

Implementation for the ServiceAccessPoint RadioLink (LR-Base firmware only)

## Constructor & Destructor Documentation

## ◆ WiMOD_SAP_RemoteCtrl()

WiMOD_SAP_RemoteCtrl::WiMOD_SAP_RemoteCtrl | ( | TWiMODLRHCI * | hci,
|  | UINT8 * | buffer,
|  | UINT16 | bufferSize
| ) |  |

Constructor.

Parameters

  hci | Pointer to HCI processor object
  buffer | pointer to storage area for building tx frames; MUST BE VALID
  bufferSize | size of the buffer

## Member Function Documentation

## ◆ convert()

bool WiMOD_SAP_RemoteCtrl::convert | ( | TWiMODLR_HCIMessage & | RxMsg,
|  | TWiMODLR_RemoteCtrl_BtnPressed * | btnInfo
| ) |  |
| virtual

Convert a received low level HCI-Msg to a high-level Rx Data structure.

This function should be used by the Rx Data Indication Callback functions prior processing the received data message.

Parameters

  RxMsg | Reference to low-level HCI message.

Warning
  DO NOT MANIPULATE THESE VALUES !!!

Parameters

  btnInfo | Pointer to the buffer where to store the received data

Return values

  true | if the conversion was successful

## ◆ RegisterBtnPressedClient()

void WiMOD_SAP_RemoteCtrl::RegisterBtnPressedClient | ( | TRemoteCtrlBtnPressedIndicationCallback | cb | ) |
| virtual

Register a callback function for the event "Button Pressed Indication".

This registered callback is called when the specified event is called by the WiMOD stack.

Parameters

  cb | pointer to a callback function that should be called if the event occurs.

The documentation for this class was generated from the following files:

- SAP/WiMOD_SAP_RemoteCtrl.h
- SAP/WiMOD_SAP_RemoteCtrl.cpp